Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
strscanner Struct Reference

## Data Fields
unsigned long | flags
VALUE | str
long | prev
long | curr
struct re_registers | regs
VALUE | regex
bool | fixed_anchor_p

## Detailed Description

Definition at line 35 of file strscan.c.

## Field Documentation

## ◆ curr

long strscanner::curr

Definition at line 46 of file strscan.c.

## ◆ fixed_anchor_p

bool strscanner::fixed_anchor_p

Definition at line 55 of file strscan.c.

## ◆ flags

unsigned long strscanner::flags

Definition at line 38 of file strscan.c.

## ◆ prev

long strscanner::prev

Definition at line 45 of file strscan.c.

## ◆ regex

VALUE strscanner::regex

Definition at line 52 of file strscan.c.

## ◆ regs

struct re_registers strscanner::regs

Definition at line 49 of file strscan.c.

## ◆ str

VALUE strscanner::str

Definition at line 42 of file strscan.c.

The documentation for this struct was generated from the following file:

- ext/strscan/strscan.c